<!-- Content Header (Page header) -->
<section class="content-header" *ngIf="isLoggedIn" >
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Start a Specific mission
          <button class="btn btn-outline-primary" [disabled]="VerifySelectedEmpty()" (click)="openDialogSpecificMission(avatarsSelected)" style="margin-left: 10px"><i class="fas fa-plus"></i> New</button>

        </h1>

      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a style="color: dodgerblue">Mission</a></li>
          <li class="breadcrumb-item active">Start a Specific mission</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>


<div class="content" *ngIf="isLoggedIn" style="margin-top: -40px">
  <section class="content-header" style="margin-top: -20px">

      <div class="row justify-content-lg-end">

<div class="form-group">            <input type="text" class="form-control" [(ngModel)]="searchText" autocomplete="off" placeholder="Search...">
</div>
<!--        <div class="form-group col">-->
<!--        <ol class="float-sm-right">-->

<!--            <div class="bd-highlight">-->

<!--              <select (change)="onTableSizeChange($event)" class="custom-select">-->
<!--                <option *ngFor="let size of tableSizes" [ngValue]="size">-->
<!--                  {{ size }}-->
<!--                </option>-->
<!--              </select>-->
<!--            </div>-->

<!--          </ol>-->
<!--      </div>-->
      </div>
  </section>

  <!--  <ul>-->
  <!--    <li class=" nav nav-pills p-1  nav-item">-->
  <!--      <a data-toggle="modal" data-target="#modal-default" class="nav-link rounded-pill note-link d-flex align-items-center px-2 px-md-3 mr-0 mr-md-2 active" id="all-category">-->
  <!--        <i class="icon-layers mr-1"></i><span class="d-none d-md-block">New Broadcast Mission</span>-->
  <!--      </a>-->
  <!--    </li>-->




  <!--  </ul>-->


  <div class="container table-responsive col-md-12" style="height: 420px;margin-top: -20px">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <div class="container table-responsive col-md-12" style="height: 420px">
      <!--<div class="container"></div>-->
      <div class="row">
        <div *ngFor="let m of avatars | filter: searchText| paginate : {
                itemsPerPage: tableSize,
                currentPage: page,
                totalItems: count
              };
        let i = index" [class.active]="i == currentIndex" class=" col-lg-4" style="margin-top: -10px">
          <div class="card m-b-30">
            <div class="card-body box-profile">
              <div class="media">
                <app-specific-avatarcard-photo [id]="m.id"></app-specific-avatarcard-photo>
                <!--            <img class="d-flex mr-3 rounded-circle img-thumbnail thumb-lg" src="https://bootdey.com/img/Content/avatar/avatar2.png" alt="Generic placeholder image" />-->
                <div class="media-body">
                  <h5 class="mt-0 font-18 mb-1"></h5>
                  <h1 class="mt-0 font-18 mb-1" style="color: dodgerblue">{{m.firstName}} {{m.lastName}}
                    <li class="list-inline-item" >
                      <a class="tooltips" ><i *ngIf="!VerifySelected(m.email)" (click)="selectAvatar(m.email)" class="far fa-circle" style="color: darkgrey"></i></a>
                      <a class="tooltips" ><i *ngIf="VerifySelected(m.email)" (click)="deselectAvatar(m.email)" class="far fa-check-circle" style="color: #00b44e"></i></a>
                    </li>
                    <!--              <i *ngIf="!VerifySelected(m.email)" (click)="selectAvatar(m.email)" class="fas fa-plus" style="color: #2d65ff;margin-left: 50px"></i>-->
                    <!--              <i  *ngIf="VerifySelected(m.email)" (click)="deselectAvatar(m.email)" class="fas fa-minus" style="color: darkgrey;margin-left: 50px"></i>-->
                  </h1>
                  <td>
                    <p class="text-muted font-14"></p>
                    <ul class="social-links list-inline mb-0">
                      <li class="list-inline-item">
                        <a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="" data-original-title="Facebook"><i class="fa fa-facebook"></i></a>
                      </li>
                      <li class="list-inline-item" (click)="openDialog(m.id)">
                        <a title="" data-placement="top" data-toggle="tooltip" class="tooltips" ><i class="fas fa-info-circle"></i></a>
                      </li>
                      <li class="list-inline-item" [routerLink]="['/visitprofile', m.username]">
                        <a  data-original-title="Twitter"><i class="fa fa-user"></i></a>
                      </li>
<!--                      <li class="list-inline-item">-->
<!--                        <a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="" data-original-title="1234567890"><i class="fa fa-phone"></i></a>-->
<!--                      </li>-->
<!--                      <li class="list-inline-item">-->
<!--                        <a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="" data-original-title="@skypename"><i class="fa fa-skype"></i></a>-->
<!--                      </li>-->
                      <!--                <li class="list-inline-item" *ngIf="VerifySelected(m.email)">-->
                      <!--                  <a class="tooltips" ><i class="fas fa-check" style="color: #00b44e"></i></a>-->
                      <!--                </li>-->
                      <!--                <span *ngIf="VerifySelected(m.email)" class="badge bg-success">selected</span>-->
                    </ul>
                </div>
              </div>
            </div>
          </div>
        </div>


      </div>
    </div>

  </div><!-- /.card -->
  <div >
    <pagination-controls
      class="d-flex justify-content-center"
      responsive="true"
      previousLabel="Prev"
      nextLabel="Next"
      (pageChange)="onTableDataChange($event)">
    </pagination-controls>
    <button class="btn float-right" style="margin-top: -64px">
      <div class="p-2 bd-highlight">
        <select (change)="onTableSizeChange($event)" class="custom-select">
          <option *ngFor="let size of tableSizes" [ngValue]="size">
            {{ size }}
          </option>
        </select>
      </div></button>
  </div>
  <div class="modal fade" id="modal-default">
    <div class="modal-dialog">
      <div class="modal-content">

        <div class="modal-body">

          <app-add-specific-mission></app-add-specific-mission>
        </div>

      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>

</div>




